Skip to content
Start here

Get the Access key configuration

client.zeroTrust.access.keys.get(KeyGetParams { account_id } params, RequestOptionsoptions?): KeyGetResponse { days_until_next_rotation, key_rotation_interval_days, last_key_rotation_at }
GET/accounts/{account_id}/access/keys

Gets the Access key rotation settings for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Organizations, Identity Providers, and Groups WriteAccess: Organizations, Identity Providers, and Groups Read
ParametersExpand Collapse
params: KeyGetParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
KeyGetResponse { days_until_next_rotation, key_rotation_interval_days, last_key_rotation_at }
days_until_next_rotation?: number

The number of days until the next key rotation.

key_rotation_interval_days?: number

The number of days between key rotations.

maximum365
minimum21
last_key_rotation_at?: string

The timestamp of the previous key rotation.

formatdate-time

Get the Access key configuration

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const key = await client.zeroTrust.access.keys.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(key.days_until_next_rotation);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "days_until_next_rotation": 1,
    "key_rotation_interval_days": 30,
    "last_key_rotation_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "days_until_next_rotation": 1,
    "key_rotation_interval_days": 30,
    "last_key_rotation_at": "2014-01-01T05:20:00.12345Z"
  }
}